{% extends "base.html" %}

{% block content %} 
<div class="components-container">
  <h3>Scenario Planner</h3>

  <div class="spacer-div"></div>

  <div class="scenario_list">
    <!-- Editable table -->
    <div class="card card-outline">
      <h5 class="card-header text-center text-uppercase">Components</h5>
      <div class="card-body">
        <div id="table" class="table-editable">
          <span class="table-remove float-left mb-3 ml-2">
            <a href="{% url 'remove-all-components' %}">
              <button type="button" class="btn btn-outline-danger">
                <i class="fas fa-trash" aria-hidden="true"></i>
                Remove All
              </button>
            </a>
          </span>

          <span class="table-add float-right mb-3 mr-2">
            {% comment %}
            <a href="#!" class="text-success">
              <i class="fas fa-plus fa-2x" aria-hidden="true"></i>
            </a>
            {% endcomment %}
            <a href="{% url 'component-catalog' %}">
              <button type="button" style="line-height: 0 !important;">
                <i class="fas fa-plus" aria-hidden="true"></i>
                Add Component
              </button>
            </a>
          </span>

          <table
            class="table table-bordered table-responsive-md table-striped text-center"
          >
            <thead>
              <tr>
                <th class="text-center">Name</th>
                <th class="text-center">Link</th>
                <th class="text-center">Type</th>
                <th class="text-center">Access via API</th>
                <th class="text-center">Remove</th>
              </tr>
            </thead>
            <tbody>
              {% for component in scenario_components %}
              <tr>
                <td class="pt-3-half">{{ component.name }}</td>
                <td class="pt-3-half">
                  <a href="{{ component.link }}">{{ component.link }}</a>
                </td>
                <td class="pt-3-half">{{ component.type_of_software }}</td>
                <td class="pt-3-half">{{ component.access_via_api }}</td>
                <td>
                  <span class="table-remove">
                    <a
                      href="{% url 'remove-component' id=component.id %}"
                      class="btn btn-danger btn-rounded btn-sm my-0"
                    >
                      Remove
                    </a>
                  </span>
                </td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <!-- Editable table -->

    <div class="inline-container float-right">
      <a href="#export" class="btn btn-outline-primary btn-rounded">
        Export
      </a>
    </div>
  </div>
</div>

{% endblock %}
